#!/usr/bin/perl
#
# A very simple script to manage ItaCyl data files that use DOY for
# acquisition timesstamps.
#

use DateTime;
use v5.12;

while(<>) {
	chomp;
	next if /^$/;
	my @s = split /,/;
	next if $s[2]<1;
	my ($h,$m) = split /\./, $s[3]/100;
	$s[2]++ if $h == 24;
	$h = 0 if $h == 24;
	eval {
		$s[2] = DateTime->from_day_of_year({year=>$s[1], hour=>$h, minute=>$m*10, day_of_year=>$s[2]});
	};
	next if $@;
	next if ! $s[13] && ! $s[15];
	{
	local $" = '|';
	say qq/@s/;
	}
}

exit(0);
