#!/bin/bash
# This script is used to bootstrap the SMTools environment with additional
# layers implemented in a GRASS database or as auxiliary files/shapefiles.
#

$HOME/sm-tools/etc/grass_check.sh

set -e

if [ $? = 0 ]
then
	source $HOME/sm-tools/etc/sm-tools-setup.sh
	# here start with real work
	$SM_TOOLS/etc/install-grass-extensions.sh
fi

mkdir -p $SM_TOOLS_OUTPUTDIR 2>/dev/null || true
mkdir -p $SM_TOOLS_TMPDIR 2>/dev/null || true
mkdir -p $SM_TOOLS/grass/geodb 2>/dev/null || true

exit 0
