#!/bin/sh

echo "date|cat|count|tot|perc|mean|stddev|x|y|type|reference|refence date" 
case $1 in
	*12d5km*)
		res=12d5
		;;
	*36km*)
		res=36
		;;
	*25km*)
		res=25
		;;
	*1km*)
		res=1
		;;
esac

PROJ="+proj=cea +lon_0=0 +lat_ts=30 +x_0=0 +y_0=0 +no_defs +a=6378137 +rf=298.257223563 +to_meter=1"
for line in $(tail -n +2 $1)
do
	x=$(echo $line|cut -d\| -f8)
	y=$(echo $line|cut -d\| -f9)
	d=$(echo $line|cut -d\| -f1)
	ease2_coords=$($G m.proj proj_out="$PROJ" coor=$x,$y 2>/dev/null)
	ease2_x=$(echo $ease2_coords|cut -d\| -f1)
	ease2_y=$(echo $ease2_coords|cut -d\| -f2)
	correct=$(echo $line|cut -d\| -f1-11)
	date=$($SM_TOOLS/misc/grass_get_smapsmosascat_value.sh $d $res $ease2_x $ease2_y 2>/dev/null|cut -d\| -f3)
	echo "$correct|$date"
done

exit 0
