select s.name, m.datetime, m.type, m.value, m.value*s.a+s.b, m.depth_min, ST_X(s.location), ST_Y(s.location) from Measure as m, Sensor as s 
where (m.type='soil_moisture' or m.type='temperature') and m.sensor_id=s.id and 
      strftime('%Y',m.datetime) = '2016' and m.depth_min = 0.025 and
	 (strftime('%m',m.datetime) = '01' or strftime('%m',m.datetime) = '02' or strftime('%m',m.datetime) = '03' ) and
	  m.sensor_id in (select id from Sensor where network_id=1 order by id);
