
par(mar=c(7,3,2,2))


home = Sys.getenv('HOME')
setwd(file.path(home,'sm-tools', 'streams_crossing'))

irr06<-read.csv('results/irr06_reports.txt',sep='|',header=T)
noirr06<-read.csv('results/noirr06_reports.txt',sep='|',header=T)
irr04<-read.csv('results/irr04_reports.txt',sep='|',header=T)
noirr04<-read.csv('results/noirr04_reports.txt',sep='|',header=T)

irr2017<-read.csv('results/irr2017_reports.txt',sep='|',header=T)
noirr2017<-read.csv('results/noirr2017_reports.txt',sep='|',header=T)
irr2018<-read.csv('results/irr2018_reports.txt',sep='|',header=T)
noirr2018<-read.csv('results/noirr2018_reports.txt',sep='|',header=T)

plot(irr2017$mean/10000.0,type='p',sub='irr2017')
points(noirr2017$mean/10000.0,col='red',sub='noirr2017')

plot(irr2018$mean/10000.0,type='p',sub='irr2018')
points(noirr2018$mean/10000.0,col='red',sub='irr2018')
