#!/usr/bin/perl
#
# A silly script to convert hex color table to GRASS color rules file.
#

use v5.12;

use Color::Rgb;

my $rgb = new Color::Rgb(rgb_txt=>'/etc/X11/rgb.txt');

while(<>) {
	chomp;
	my @line = split /,/;
	local $" = ' ';
	my @tuple = $rgb->hex2rgb($line[1]);
	say qq/$line[0] @tuple/;
}
