#!/usr/bin/perl
#
# A not so simple script to reorder column of one of the
# Tereno dataset. 
#

no warnings "all";
use v5.12;

# set to true to use csv output
my $csv = 1;

#FIXME: you need to collect all columns from all files to get the full list of
#possible list. This should be automatically done, but I'm too lazy to do
#that now...
my $hdr = "Time,feature,SoilTemperature_0.05mSensor2 [degC],SoilTemperature_0.05mSensor2QualityFlag,SoilTemperature_0.5mSensor1 [degC],SoilTemperature_0.5mSensor1QualityFlag,SoilWaterContent_0.5mSensor1 [%_Sat],SoilWaterContent_0.5mSensor1QualityFlag,SoilWaterContent_Avg1d [%_Sat],SoilWaterContent_Avg1dQualityFlag,SoilWaterContent_0.05mSensor1 [%_Sat],SoilWaterContent_0.05mSensor1QualityFlag,SoilWaterContent_0.05mSensor2 [%_Sat],SoilWaterContent_0.05mSensor2QualityFlag,SoilTemperature_0.2mSensor1 [degC],SoilTemperature_0.2mSensor1QualityFlag,SoilTemperature_0.05mSensor1 [degC],SoilTemperature_0.05mSensor1QualityFlag,SoilTemperature_0.5mSensor2 [degC],SoilTemperature_0.5mSensor2QualityFlag,Precipitation_Cum10min_RainCap [mm],Precipitation_Cum10min_RainCapQualityFlag,Precipitation_Cum10min_Ecotech [mm],Precipitation_Cum10min_EcotechQualityFlag,SoilTemperature_0.2mSensor2 [degC],SoilTemperature_0.2mSensor2QualityFlag,SoilWaterContent_0.5mSensor2 [%_Sat],SoilWaterContent_0.5mSensor2QualityFlag,SoilWaterContent_0.2mSensor1 [%_Sat],SoilWaterContent_0.2mSensor1QualityFlag,SoilWaterContent_0.2mSensor2 [%_Sat],SoilWaterContent_0.2mSensor2QualityFlag
Time,feature,SoilTemperature_0.01mAvg10min [degC],SoilTemperature_0.01mAvg10minQualityFlag,SoilTemperature_0.05mAvg10min [degC],SoilTemperature_0.05mAvg10minQualityFlag,SoilWaterContent_0.02mAvg10minSensor2 [%_Sat],SoilWaterContent_0.02mAvg10minSensor2QualityFlag,SoilTemperature_0.04mAvg10min [degC],SoilTemperature_0.04mAvg10minQualityFlag,SoilWaterContent_0.02mAvg10minSensor1 [%_Sat],SoilWaterContent_0.02mAvg10minSensor1QualityFlag
Time,feature,SoilTemperature_0.05mSensor1 [degC],SoilTemperature_0.05mSensor1QualityFlag,SoilTemperature_0.2mSensor2 [degC],SoilTemperature_0.2mSensor2QualityFlag,Precipitation_Cum10min_OttRTNRT [mm],Precipitation_Cum10min_OttRTNRTQualityFlag,SoilTemperature_0.05mSensor2 [degC],SoilTemperature_0.05mSensor2QualityFlag,SoilWaterContent_0.2mSensor1 [%_Sat],SoilWaterContent_0.2mSensor1QualityFlag,SoilWaterContent_0.2mSensor3 [%_Sat],SoilWaterContent_0.2mSensor3QualityFlag,SoilTemperature_0.5mSensor2 [degC],SoilTemperature_0.5mSensor2QualityFlag,SoilTemperature_0.05mSensor3 [degC],SoilTemperature_0.05mSensor3QualityFlag,Precipitation_Cum10min_OttNRTtotal [mm],Precipitation_Cum10min_OttNRTtotalQualityFlag,SoilTemperature_0.5mSensor3 [degC],SoilTemperature_0.5mSensor3QualityFlag,Precipitation_Cum10min_OttNRT [mm],Precipitation_Cum10min_OttNRTQualityFlag,Precipitation_Cum10min_Ecotech [mm],Precipitation_Cum10min_EcotechQualityFlag,SoilWaterContent_0.5mSensor3 [%_Sat],SoilWaterContent_0.5mSensor3QualityFlag,SoilWaterContent_0.5mSensor2 [%_Sat],SoilWaterContent_0.5mSensor2QualityFlag,SoilWaterContent_0.05mSensor2 [%_Sat],SoilWaterContent_0.05mSensor2QualityFlag,SoilWaterContent_0.2mSensor2 [%_Sat],SoilWaterContent_0.2mSensor2QualityFlag,SoilTemperature_0.5mSensor1 [degC],SoilTemperature_0.5mSensor1QualityFlag,SoilTemperature_0.2mSensor3 [degC],SoilTemperature_0.2mSensor3QualityFlag,SoilTemperature_0.2mSensor1 [degC],SoilTemperature_0.2mSensor1QualityFlag,Precipitation_Cum10min_RainCap [mm],Precipitation_Cum10min_RainCapQualityFlag,SoilWaterContent_0.05mSensor1 [%_Sat],SoilWaterContent_0.05mSensor1QualityFlag,SoilWaterContent_Avg1d [%_Sat],SoilWaterContent_Avg1dQualityFlag,SoilWaterContent_0.5mSensor1 [%_Sat],SoilWaterContent_0.5mSensor1QualityFlag,SoilWaterContent_0.05mSensor3 [%_Sat],SoilWaterContent_0.05mSensor3QualityFlag
Time,feature,SoilTemperature_0.05mSensor1 [degC],SoilTemperature_0.05mSensor1QualityFlag,Precipitation_1m_Cum1min [mm*min-1],Precipitation_1m_Cum1minQualityFlag,SoilTemperature_0.2mSensor2 [degC],SoilTemperature_0.2mSensor2QualityFlag,Precipitation_Cum10min_OttRTNRT [mm],Precipitation_Cum10min_OttRTNRTQualityFlag,SoilTemperature_0.05mSensor2 [degC],SoilTemperature_0.05mSensor2QualityFlag,SoilWaterContent_0.2mSensor1 [%_Sat],SoilWaterContent_0.2mSensor1QualityFlag,SoilWaterContent_0.2mSensor3 [%_Sat],SoilWaterContent_0.2mSensor3QualityFlag,SoilTemperature_0.5mSensor2 [degC],SoilTemperature_0.5mSensor2QualityFlag,SoilTemperature_0.05mSensor3 [degC],SoilTemperature_0.05mSensor3QualityFlag,Precipitation_Cum10min_OttNRTtotal [mm],Precipitation_Cum10min_OttNRTtotalQualityFlag,SoilTemperature_0.5mSensor3 [degC],SoilTemperature_0.5mSensor3QualityFlag,Precipitation_Cum10min_OttNRT [mm],Precipitation_Cum10min_OttNRTQualityFlag,Precipitation_Cum10min_Ecotech [mm],Precipitation_Cum10min_EcotechQualityFlag,SoilWaterContent_0.5mSensor3 [%_Sat],SoilWaterContent_0.5mSensor3QualityFlag,SoilWaterContent_0.5mSensor2 [%_Sat],SoilWaterContent_0.5mSensor2QualityFlag,SoilWaterContent_0.05mSensor2 [%_Sat],SoilWaterContent_0.05mSensor2QualityFlag,SoilWaterContent_0.2mSensor2 [%_Sat],SoilWaterContent_0.2mSensor2QualityFlag,SoilTemperature_0.5mSensor1 [degC],SoilTemperature_0.5mSensor1QualityFlag,SoilTemperature_0.2mSensor3 [degC],SoilTemperature_0.2mSensor3QualityFlag,SoilTemperature_0.2mSensor1 [degC],SoilTemperature_0.2mSensor1QualityFlag,Precipitation_Cum10min_RainCap [mm],Precipitation_Cum10min_RainCapQualityFlag,SoilWaterContent_0.05mSensor1 [%_Sat],SoilWaterContent_0.05mSensor1QualityFlag,SoilWaterContent_Avg1d [%_Sat],SoilWaterContent_Avg1dQualityFlag,SoilWaterContent_0.5mSensor1 [%_Sat],SoilWaterContent_0.5mSensor1QualityFlag,SoilWaterContent_0.05mSensor3 [%_Sat],SoilWaterContent_0.05mSensor3QualityFlag
Time,feature,SoilTemperature_0.05mSensor1 [degC],SoilTemperature_0.05mSensor1QualityFlag,SoilTemperature_0.2mSensor2 [degC],SoilTemperature_0.2mSensor2QualityFlag,SoilTemperature_0.05mSensor2 [degC],SoilTemperature_0.05mSensor2QualityFlag,SoilWaterContent_0.2mSensor1 [%_Sat],SoilWaterContent_0.2mSensor1QualityFlag,SoilWaterContent_0.2mSensor3 [%_Sat],SoilWaterContent_0.2mSensor3QualityFlag,SoilTemperature_0.5mSensor2 [degC],SoilTemperature_0.5mSensor2QualityFlag,SoilTemperature_0.05mSensor3 [degC],SoilTemperature_0.05mSensor3QualityFlag,SoilTemperature_0.5mSensor3 [degC],SoilTemperature_0.5mSensor3QualityFlag,Precipitation_Cum10min_Ecotech [mm],Precipitation_Cum10min_EcotechQualityFlag,SoilWaterContent_0.5mSensor3 [%_Sat],SoilWaterContent_0.5mSensor3QualityFlag,SoilWaterContent_0.5mSensor2 [%_Sat],SoilWaterContent_0.5mSensor2QualityFlag,SoilWaterContent_0.05mSensor2 [%_Sat],SoilWaterContent_0.05mSensor2QualityFlag,SoilWaterContent_0.2mSensor2 [%_Sat],SoilWaterContent_0.2mSensor2QualityFlag,SoilTemperature_0.5mSensor1 [degC],SoilTemperature_0.5mSensor1QualityFlag,SoilTemperature_0.2mSensor3 [degC],SoilTemperature_0.2mSensor3QualityFlag,SoilTemperature_0.2mSensor1 [degC],SoilTemperature_0.2mSensor1QualityFlag,Precipitation_Cum10min_RainCap [mm],Precipitation_Cum10min_RainCapQualityFlag,SoilWaterContent_0.05mSensor1 [%_Sat],SoilWaterContent_0.05mSensor1QualityFlag,SoilWaterContent_Avg1d [%_Sat],SoilWaterContent_Avg1dQualityFlag,SoilWaterContent_0.5mSensor1 [%_Sat],SoilWaterContent_0.5mSensor1QualityFlag,SoilWaterContent_0.05mSensor3 [%_Sat],SoilWaterContent_0.05mSensor3QualityFlag
Time,feature,SoilWaterContent_Avg1d [%_Sat],SoilWaterContent_Avg1dQualityFlag,Precipitation_Cum10min_Ecotech [mm],Precipitation_Cum10min_EcotechQualityFlag,Precipitation_Cum10min_RainCap [mm],Precipitation_Cum10min_RainCapQualityFlag,SoilTemperature_0.5mSensor1 [degC],SoilTemperature_0.5mSensor1QualityFlag,SoilTemperature_0.2mSensor1 [degC],SoilTemperature_0.2mSensor1QualityFlag,SoilWaterContent_0.05mSensor1 [%_Sat],SoilWaterContent_0.05mSensor1QualityFlag,SoilWaterContent_0.2mSensor2 [%_Sat],SoilWaterContent_0.2mSensor2QualityFlag,SoilTemperature_0.05mSensor2 [degC],SoilTemperature_0.05mSensor2QualityFlag,SoilTemperature_0.2mSensor2 [degC],SoilTemperature_0.2mSensor2QualityFlag,SoilTemperature_0.5mSensor2 [degC],SoilTemperature_0.5mSensor2QualityFlag,SoilWaterContent_0.2mSensor1 [%_Sat],SoilWaterContent_0.2mSensor1QualityFlag,SoilTemperature_0.05mSensor1 [degC],SoilTemperature_0.05mSensor1QualityFlag,SoilWaterContent_0.5mSensor2 [%_Sat],SoilWaterContent_0.5mSensor2QualityFlag,SoilWaterContent_0.5mSensor1 [%_Sat],SoilWaterContent_0.5mSensor1QualityFlag,SoilWaterContent_0.05mSensor2 [%_Sat],SoilWaterContent_0.05mSensor2QualityFlag
Time,feature,SoilTemperature_0.05mAvg10min [degC],SoilTemperature_0.05mAvg10minQualityFlag,SoilWaterContent_0.02mAvg10minSensor1 [%_Sat],SoilWaterContent_0.02mAvg10minSensor1QualityFlag,SoilWaterContent_0.02mAvg10minSensor2 [%_Sat],SoilWaterContent_0.02mAvg10minSensor2QualityFlag,SoilTemperature_0.01mAvg10min [degC],SoilTemperature_0.01mAvg10minQualityFlag,SoilTemperature_0.04mAvg10min [degC],SoilTemperature_0.04mAvg10minQualityFlag,Precipitation_Cum10min_TB [mm],Precipitation_Cum10min_TBQualityFlag
Time,feature,SoilTemperature_0.02mAvg10minSensor1 [degC],SoilTemperature_0.02mAvg10minSensor1QualityFlag,SoilTemperature_0.02mAvg10minSensor3 [degC],SoilTemperature_0.02mAvg10minSensor3QualityFlag,SoilWaterContent_0.1mAvg10minSensor2 [%_Sat],SoilWaterContent_0.1mAvg10minSensor2QualityFlag,SoilTemperature_0.1mAvg10MinSensor3 [degC],SoilTemperature_0.1mAvg10MinSensor3QualityFlag,SoilWaterContent_0.05mAvg10minSensor3 [%_Sat],SoilWaterContent_0.05mAvg10minSensor3QualityFlag,SoilTemperature_0.1mAvg10MinSensor1 [degC],SoilTemperature_0.1mAvg10MinSensor1QualityFlag,SoilWaterContent_0.5mAvg10minSensor3 [%_Sat],SoilWaterContent_0.5mAvg10minSensor3QualityFlag,SoilTemperature_0.8mAvg10minSensor3 [degC],SoilTemperature_0.8mAvg10minSensor3QualityFlag,SoilTemperature_0.8mAvg10minSensor1 [degC],SoilTemperature_0.8mAvg10minSensor1QualityFlag,SoilWaterContent_0.2mAvg10minSensor1 [%_Sat],SoilWaterContent_0.2mAvg10minSensor1QualityFlag,SoilTemperature_0.05mAvg10minSensor3 [degC],SoilTemperature_0.05mAvg10minSensor3QualityFlag,SoilTemperature_0.02mAvg10minSensor2 [degC],SoilTemperature_0.02mAvg10minSensor2QualityFlag,SoilWaterContent_0.2mAvg10minSensor2 [%_Sat],SoilWaterContent_0.2mAvg10minSensor2QualityFlag,SoilTemperature_0.2mAvg10minSensor2 [degC],SoilTemperature_0.2mAvg10minSensor2QualityFlag,SoilWaterContent_0.1mAvg10minSensor1 [%_Sat],SoilWaterContent_0.1mAvg10minSensor1QualityFlag,SoilWaterContent_0.02mAvg10minSensor2 [%_Sat],SoilWaterContent_0.02mAvg10minSensor2QualityFlag,SoilWaterContent_0.8mAvg10minSensor2 [%_Sat],SoilWaterContent_0.8mAvg10minSensor2QualityFlag,SoilWaterContent_0.2mAvg10minSensor3 [%_Sat],SoilWaterContent_0.2mAvg10minSensor3QualityFlag,SoilTemperature_0.2mAvg10minSensor1 [degC],SoilTemperature_0.2mAvg10minSensor1QualityFlag,SoilTemperature_0.1mAvg10MinSensor2 [degC],SoilTemperature_0.1mAvg10MinSensor2QualityFlag,SoilWaterContent_0.1mAvg10minSensor3 [%_Sat],SoilWaterContent_0.1mAvg10minSensor3QualityFlag,SoilWaterContent_0.05mAvg10minSensor1 [%_Sat],SoilWaterContent_0.05mAvg10minSensor1QualityFlag,SoilWaterContent_0.02mAvg10minSensor3 [%_Sat],SoilWaterContent_0.02mAvg10minSensor3QualityFlag,SoilTemperature_0.5mAvg10minSensor1 [degC],SoilTemperature_0.5mAvg10minSensor1QualityFlag,SoilWaterContent_0.5mAvg10minSensor1 [%_Sat],SoilWaterContent_0.5mAvg10minSensor1QualityFlag,SoilTemperature_0.2mAvg10minSensor3 [degC],SoilTemperature_0.2mAvg10minSensor3QualityFlag,SoilWaterContent_0.02mAvg10minSensor1 [%_Sat],SoilWaterContent_0.02mAvg10minSensor1QualityFlag,SoilTemperature_0.8mAvg10minSensor2 [degC],SoilTemperature_0.8mAvg10minSensor2QualityFlag,SoilWaterContent_0.8mAvg10minSensor3 [%_Sat],SoilWaterContent_0.8mAvg10minSensor3QualityFlag,SoilTemperature_0.5mAvg10minSensor2 [degC],SoilTemperature_0.5mAvg10minSensor2QualityFlag,SoilTemperature_0.05mAvg10minSensor1 [degC],SoilTemperature_0.05mAvg10minSensor1QualityFlag,SoilTemperature_0.5mAvg10minSensor3 [degC],SoilTemperature_0.5mAvg10minSensor3QualityFlag,SoilTemperature_0.05mAvg10minSensor2 [degC],SoilTemperature_0.05mAvg10minSensor2QualityFlag,SoilWaterContent_0.8mAvg10minSensor1 [%_Sat],SoilWaterContent_0.8mAvg10minSensor1QualityFlag,SoilWaterContent_0.05mAvg10minSensor2 [%_Sat]
SoilWaterContent_0.05mAvg10minSensor2QualityFlag";

my @header = split /[,\n\r]/, $hdr;
my %header = ();
for my $h (@header) {
	next if $h =~ m/QualityFlag/;
	$header{$h} = $h if $h;	
}

my @fields = ();
while(<>) {
	@fields = split /,/ if /^#/;
	next if /^#/;
	my @values = split /,/;
	my %cols = ();

	for my $k (keys %header) {
		$cols{$k} = 'noData';
	}
	for my $i (0..$#fields) {
		next if $values[$i] =~ m/#Time/;
		next if $values[$i] =~ m/feature/;
		next if $values[$i] =~ m/QualityFlag/;
		$cols{$fields[$i]} = $values[$i] if defined $cols{$fields[$i]};  
	}
	say qq/"Time" = $values[0]/ if !$csv;
	say qq/"Feature" = \L$values[1]\E/ if !$csv;
	print qq/$values[0],\L$values[1]\E/ if $csv;
	for my $k (sort keys %cols) {
		next if $k =~ /Time/;
		next if $k =~ /feature/;
		next if ! $k;
		say qq/"$k" = $cols{$k}/ if !$csv;
		print qq/,$cols{$k}/ if $csv;
	}
	print qq/\n/ if $csv;
	say qq/\n/ if !$csv;
}
