#!/bin/sh
#
# Extract globcover rasters

fullpath=$(realpath $0)
dirname=$(dirname $fullpath)
gcover=$dirname/globcover
echo "cd $dirname/.."
cd $dirname/..
for n in *S1*
do
	echo "Directory  $n"
	cd $n
	for f in $(ls -d *.SAFE|head -1|sed -e 's/://')
	do
		echo "Master GTC in " $f
		if [ -e $f/GTC ]; then
			srs=$(gdalinfo -proj4 $f/GTC/*.vv.GTC|grep +proj|sed -e "s/'//g")
			gdalwarp -t_srs "$srs" -overwrite -of "ENVI" -tr $(pkinfo -i $gcover -dx -dy|cut -d\  -f2,4) -te $(pkinfo -i $gcover -te|cut -d\  -f2-) $gcover GCOVER/globcover_gtc
		fi
	done
	cd ..
done
