#!/bin/sh

d=0.00125

if [ $# -lt 2 ]
then
	echo "usage: $0 file size"
	exit
fi

d=$2
D=$1

echo "Name|S-1 Date|S-1 Time|Average SM|Count SM|Max Depth(m)|Min Station Date|Min Station Time|Max Station Date|Max Station Time|Type|Long|Lat|S0"
for line in $(cat $D|sed -e 's/ /_/g')
do
	file=$(echo $line|cut -d\| -f1)
	x=$(echo $line|cut -d\| -f13)
	y=$(echo $line|cut -d\| -f14)
	rest=$(echo $line|cut -d\| -f2-)
	val=$(pkinfo -i $file -x $x -y $y -geo -r)
	echo "$rest|$val"
done
