#!/bin/sh

d=0.00125

if [ $# -lt 2 ]
then
	echo "usage: $0 file size"
	exit
fi

d=$2
D=$1
R=/net/serifos/ocean/sm-tools/data/repository/0

echo "Name|S-1 Date|S-1 Time|Average SM|Count SM|Max Depth(m)|Min Station Date|Min Station Time|Max Station Date|Max Station Time|Long|Lat|SMOAR SM*100|Mean ${d}deg|StdDev ${d}deg|Min ${d}deg|Max ${d}deg"
for line in $(cat $D)
do
	file=$(echo $line|cut -d\| -f1)
	x=$(echo $line|cut -d\| -f12)
	y=$(echo $line|cut -d\| -f13)
	rest=$(echo $line|cut -d\| -f2-)
	val=$(pkinfo -i $R/$file -x $x -y $y -geo -r)
	echo "$rest|$val"
#	ulx=$(perl -E "say $x-$d")
#	uly=$(perl -E "say $y-$d")
#	lrx=$(perl -E "say $x+$d")
#	lry=$(perl -E "say $y+$d")
#	stats=$(pkinfo -i $R/$file -ulx $ulx -uly $uly -lrx $lrx -lry $lry -stats -nodata 0)
#	min=$(echo $stats|cut -d' ' -f6)
#	max=$(echo $stats|cut -d' ' -f8)
#	mean=$(echo $stats|cut -d' ' -f10)
#	stdev=$(echo $stats|cut -d' ' -f12)
#	echo "$rest|$val|$mean|$stdev|$min|$max"
done
