#!/bin/sh
#
# FIXME: wrong in multi-repo
#

if [ $# -lt 1 ]
then
	echo "usage: $0 scihub_database"
	exit 1
fi

set -e

TEMP=$(mktemp -q)
D=$(date "+%Y-%m-%d %H:%M:%S")

sqlite3 "$1" "select * from products" | while IFS='' read -r l || [[ -n "$l" ]]; do
	echo $l
	HASH=$(echo $l|cut -d\| -f2)
	NAME=$(echo $l|cut -d\| -f3)
	REFERENCE=$(echo $NAME|awk -F_ '{NF=NF-1; OFS="_"; print $0}'|sed -e 's/ /_/g')
	IDATE=$(echo $l|cut -d\| -f4)
	BDATE=$(echo $l|cut -d\| -f5)
	EDATE=$(echo $l|cut -d\| -f6)
	PTYPE=$(echo $l|cut -d\| -f7)
	DIR=$(echo $l|cut -d\| -f8)
	ON=$(echo $l|cut -d\| -f9)
	RON=$(echo $l|cut -d\| -f10)
	FP=$(echo $l|cut -d\| -f11)
	PLAT=$(echo $l|cut -d\| -f12)
	OUTDIR=$(echo $l|cut -d\| -f15)
	UNIQ=$(perl -e "use Data::GUID; print Data::GUID->new->as_string")
	if [ -f "$OUTDIR/${NAME}.zip" ]
	then
		echo $NAME => $UNIQ
		ln "$OUTDIR/$NAME.zip" $SM_TOOLS_REPO/$UNIQ 
	fi
	echo "INSERT OR REPLACE INTO Image VALUES (NULL,'$IDATE','$D','$PLAT','$RON','$ON','$PTYPE','$NAME','$REFERENCE','$HASH',2,ST_GeomFromText('$FP',4326),'$UNIQ','$BDATE','$DIR');" >>$TEMP
done
echo SQL importing code created in $TEMP


