#!/bin/bash
# 
# This tiny script is used to lauch parallel processses 
# and get results for every Medi tracks.
# 

# change this to use a different tag
PREFIX=p_ssm_img_zs_mean_run_n4_v1_2_20190330_dsc

for TRACK in D154
do

T=$(echo $TRACK|tr '[:upper:]' '[:lower:]')
TAG=${PREFIX}_$T
RES1=Medi_${TRACK}_downsamp_smap_grid_1km_Medi_${TRACK}_report.txt

# note that this way each script run in a different shell with a different temporary location

bash -i -l -s <<EOF
$SM_TOOLS/misc/run_make_ease2_stats_bytag.sh $TAG sm && \
$SM_TOOLS/misc/add_smapsmosascat_filtering.sh $SM_TOOLS_OUTPUTDIR/$TAG/$RES36 $TRACK 36 && \
$SM_TOOLS/misc/add_smapsmosascat_filtering.sh $SM_TOOLS_OUTPUTDIR/$TAG/$RES25 $TRACK 25 && \
$SM_TOOLS/misc/add_ascat_volumetric.sh $SM_TOOLS_OUTPUTDIR/$TAG/$RES125 $TRACK &
EOF

done
