#!/bin/sh

set -e

if [ $# -ne 1 ]
then
	echo "usage: $0 <SSM map>"
	exit 1
fi

RASTER=$1

if [ -f $RASTER ]
then
	R=$(basename $RASTER)
	$G r.external in=$RASTER out=$R --o
	$G r.colors map=$R rules=$SM_TOOLS/etc/colors.txt
	$G g.region rast=$R
	$G r.out.png -w in=$R out=$RASTER.png --o
fi

$G_CLEAN
