select s.name, m.datetime, m.value*s.a+s.b, m.depth_min, ST_X(s.location), ST_Y(s.location) from Measure as m, Sensor as s 
where m.type='soil_moisture' and m.sensor_id=s.id and 
      strftime('%Y',m.datetime) = '2015' and m.depth_min = 0.025 and
	  m.sensor_id in (select id from Sensor where network_id=1 order by id);
