select s.name, m.datetime, m.type, m.value, m.value*s.a+s.b, m.depth_min, ST_X(s.location), ST_Y(s.location) 
from Measure as m, Sensor as s 
where (m.type='soil_moisture' or m.type='temperature') and m.sensor_id=s.id and 
	  s.id in (select id from Sensor where network_id=1) and
      m.depth_max = 0.025 and m.datetime >= '2017-03-16 00:00:00' 
order by s.name, m.datetime asc;
